<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_container_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="12dp"
        android:paddingTop="16dp"
        android:paddingEnd="16dp"
        android:paddingBottom="16dp">

        <LinearLayout
            android:id="@+id/ll_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <com.airbnb.lottie.LottieAnimationView
                android:id="@+id/lav_refresh"
                android:layout_width="24dp"
                android:layout_height="24dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:lottie_autoPlay="false"
                app:lottie_loop="false"
                app:lottie_repeatMode="restart" />

            <TextView
                android:id="@+id/tv_title"
                style="@style/TextTitle3"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="16dp"
                android:layout_weight="1"
                android:ellipsize="end"
                android:layout_marginStart="4dp"
                android:includeFontPadding="false"
                android:maxLines="1"
                android:textColor="@color/text_primary"
                tools:text="标题栏" />

            <TextView
                android:id="@+id/tv_right"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableEnd="@drawable/ic_home_head_arrow"
                android:drawablePadding="4dp"
                android:includeFontPadding="false"
                android:maxLines="1"
                android:text="全部"
                android:textColor="@color/text_theme" />
        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/g_user"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll_title">

            <TextView
                android:id="@+id/tv_from"
                style="@style/TextCaption1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:text="来自"
                android:textColor="@color/text_tertiary"
                app:layout_constraintBottom_toBottomOf="@id/iv_user"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/iv_user" />

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/iv_user"
                style="@style/frescoCircleStyle"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginStart="4dp"
                android:layout_marginTop="4dp"
                app:layout_constraintStart_toEndOf="@id/tv_from"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_user_name"
                style="@style/TextCaption1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:includeFontPadding="false"
                android:textColor="@color/text_tertiary"
                app:layout_constraintBottom_toBottomOf="@id/iv_user"
                app:layout_constraintStart_toEndOf="@id/iv_user"
                app:layout_constraintTop_toTopOf="@id/iv_user"
                tools:text="用户名称" />

            <TextView
                android:id="@+id/tv_game_list"
                style="@style/TextCaption1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:includeFontPadding="false"
                android:text="游戏单"
                android:textColor="@color/text_tertiary"
                app:layout_constraintBottom_toBottomOf="@id/iv_user"
                app:layout_constraintStart_toEndOf="@id/tv_user_name"
                app:layout_constraintTop_toTopOf="@id/iv_user" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <Space
        android:id="@+id/space"
        android:layout_width="match_parent"
        android:layout_height="16dp" />
</FrameLayout>